Bug 3695 - zeroconf support
: zeroconf support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-scripts)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-02-13 19:17 by
Modified: 2005-07-13 15:45 (History)


Attachments
zcip support (2.82 KB, patch)
2004-02-13 19:17, Sergey Bolshakov
no flags Details | Diff
zcip support patch (fixed) (2.82 KB, patch)
2004-03-22 00:07, Denis Ovsienko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-02-13 19:17:16
attached patch adds zeroconf support using zcip utility
------- Comment #1 From 2004-02-13 19:17:54 -------
Created an attachment (id=346) [details]
zcip support
------- Comment #2 From 2004-03-17 22:33:06 -------
ага
------- Comment #3 From 2004-03-22 00:07:09 -------
Created an attachment (id=360) [details]
zcip support patch (fixed)
------- Comment #4 From 2004-03-22 00:08:14 -------
Принято в 0.4.2-alt1 со следующими поправками:
--- net-scripts-0.3-zcip.patch.orig     2004-03-22 02:26:09 +0200
+++ net-scripts-0.3-zcip-good.patch     2004-03-22 02:26:43 +0200
@@ -57,7 +57,7 @@
  fi
  
 +ZCIP=/sbin/zcip
-+ZCIP_ARGS"-s -i $DEVICE"
++ZCIP_ARGS="-s -i $DEVICE"
 +
  if [ -n "$DYNCONFIG" ]; then
      echo -n "Determining IP information for $DEVICE via ${DHCP_CLIENT##*/}..."
@@ -77,7 +77,7 @@
        exit 1
      fi
 -else 
-+elif [ "BOOTPROTO" = zcip ]; then
++elif [ "$BOOTPROTO" = zcip ]; then
 +    echo -n "Determining IP information for $DEVICE via ${ZCIP##*/}..."
 +    if $ZCIP $ZCIP_ARGS; then
 +      echo " done."
------- Comment #5 From 2004-05-15 14:06:34 -------
Нашёл ещё одну ошибку в патче, исправляется в 0.4.7.